Bug 884876

Summary: Review Request: openscad-MCAD - OpenSCAD Parametric CAD Library
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: Package ReviewAssignee: Mario Blättermann <mario.blaettermann>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jkastner, mario.blaettermann, notting, package-review
Target Milestone: ---Flags: mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-25 23:58:51 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 864187    
Bug Blocks:    

Description Miro Hrončok 2012-12-06 17:05:47 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/openscad-MCAD.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/openscad-MCAD-0.0-1.20121031git9af89906fa.fc17.src.rpm

Description:

This library contains components commonly used in designing and moching up
mechanical designs. It is currently unfinished and you can expect some API
changes, however many things are already working.

Fedora Account System Username: churchyard
Comment 1 Mario Blättermann 2012-12-07 15:09:03 EST
Taking for a full review, once openscad is available in Fedora.
Comment 2 Miro Hrončok 2012-12-07 15:17:04 EST
Thnaks.
Comment 3 Miro Hrončok 2012-12-09 14:48:38 EST
Note: openscad is not neccessary for building the package, just for isntallation (it's only a run-time Require).

This is just a bunch of text files pushed to the specific folder.
Comment 4 Mario Blättermann 2012-12-09 15:37:03 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4771303


$ rpmlint -i -v *openscad-MCAD.src: I: checking
openscad-MCAD.src: W: spelling-error %description -l en_US moching -> mooching, moshing, mocking
The value of this tag appears to be misspelled. Please double-check.

openscad-MCAD.src: I: checking-url https://www.github.com/openscad/MCAD (timeout 10 seconds)
openscad-MCAD.src: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality, such as injection of
automatic -debuginfo subpackages.  Add the section, even if empty.

openscad-MCAD.src: W: invalid-url Source0: openscad-MCAD-20121031git9af89906fa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

openscad-MCAD.noarch: I: checking
openscad-MCAD.noarch: W: spelling-error %description -l en_US moching -> mooching, moshing, mocking
The value of this tag appears to be misspelled. Please double-check.

openscad-MCAD.noarch: I: checking-url https://www.github.com/openscad/MCAD (timeout 10 seconds)
openscad-MCAD.spec: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality, such as injection of
automatic -debuginfo subpackages.  Add the section, even if empty.

openscad-MCAD.spec: W: invalid-url Source0: openscad-MCAD-20121031git9af89906fa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 6 warnings.

Your package looks fine. The openscad package provides the folder %{_datadir}/openscad/libraries/ which otherwise would stay unowned. The license declaration is somewhat difficult but sufficiently explained in the comments. Just the issue about the missing %build section needs attention. Please add it, regardless of whether it is really needed.
Comment 6 Mario Blättermann 2012-12-12 12:39:33 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4783661


$ rpmlint -i -v *
openscad-MCAD.src: I: checking
openscad-MCAD.src: W: spelling-error %description -l en_US moching -> mooching, moshing, mocking
The value of this tag appears to be misspelled. Please double-check.

openscad-MCAD.src: I: checking-url https://www.github.com/openscad/MCAD (timeout 10 seconds)
openscad-MCAD.src: W: invalid-url Source0: openscad-MCAD-20121031git9af89906fa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

openscad-MCAD.noarch: I: checking
openscad-MCAD.noarch: W: spelling-error %description -l en_US moching -> mooching, moshing, mocking
The value of this tag appears to be misspelled. Please double-check.

openscad-MCAD.noarch: I: checking-url https://www.github.com/openscad/MCAD (timeout 10 seconds)
openscad-MCAD.spec: W: invalid-url Source0: openscad-MCAD-20121031git9af89906fa.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Ok so far.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv2+ and LGPLv2 and LGPLv3+ and (GPLv3 or LGPLv2) and (GPLv3+ or LGPLv2)
    and (CC-BY-SA or LGPLv2+) and (CC-BY-SA or LGPLv2) and CC-BY and BSD
    and MIT and Public Domain

    Somewhat difficult, but true.

[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    3f7f542404859cd2b14d71b3ddbd0ef0754951e9cbe51ae7658dc83e54e160bd  openscad-MCAD-20121031git9af89906fa.tar.gz
    2753344ec3729c07b91121ea31542c33d42d1114605ab1cfb649871ebfe702d2  openscad-MCAD-20121031git9af89906fa.tar.gz.orig

    The checksums differ, but this isn't applicable for Git checkouts, no
    blocker.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[.] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 7 Miro Hrončok 2012-12-12 13:32:41 EST
New Package SCM Request
=======================
Package Name: openscad-MCAD
Short Description: OpenSCAD Parametric CAD Library
Owners: churchyard mariobl
Branches: f17 f18
InitialCC: gregjurman
Comment 8 Gwyn Ciesla 2012-12-12 13:38:38 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-12-12 19:57:56 EST
openscad-MCAD-0.0-2.20121031git9af89906fa.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openscad-MCAD-0.0-2.20121031git9af89906fa.fc18
Comment 10 Fedora Update System 2012-12-12 20:01:14 EST
openscad-MCAD-0.0-2.20121031git9af89906fa.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openscad-MCAD-0.0-2.20121031git9af89906fa.fc17
Comment 11 Fedora Update System 2012-12-14 01:47:04 EST
openscad-MCAD-0.0-2.20121031git9af89906fa.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2012-12-25 23:58:53 EST
openscad-MCAD-0.0-2.20121031git9af89906fa.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2013-01-11 19:22:37 EST
openscad-MCAD-0.0-2.20121031git9af89906fa.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Jiri Kastner 2014-11-20 09:24:39 EST
Package Change Request
======================
Package Name: openscad-MCAD
New Branches: epel7
Owners: churchyard